Skip to main content
POST
/
events
/
model
/
batch
Create a batch of model events
curl --request POST \
  --url https://api.dp1.us.honeyhive.ai/events/model/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model_events": [
    {
      "project": "<string>",
      "project_id": "<string>",
      "source": "<string>",
      "event_name": "<string>",
      "event_type": "model",
      "event_id": "<string>",
      "session_id": "<string>",
      "parent_id": "<string>",
      "children_ids": [
        "<string>"
      ],
      "config": {},
      "inputs": {},
      "outputs": {},
      "error": "<string>",
      "start_time": 123,
      "end_time": 123,
      "duration": 123,
      "metadata": {},
      "feedback": {},
      "metrics": {},
      "user_properties": {},
      "model_name": "<string>",
      "model_version": "<string>",
      "model": "<string>",
      "messages": [
        "<unknown>"
      ],
      "response": "<unknown>",
      "provider": "<string>",
      "usage": {},
      "cost": "<unknown>",
      "hyperparameters": {},
      "template": "<unknown>",
      "template_inputs": "<unknown>",
      "tools": "<unknown>",
      "tool_choice": "<unknown>",
      "response_format": "<unknown>"
    }
  ],
  "single_session": true,
  "is_single_session": true,
  "session": {
    "session_name": "<string>",
    "start_time": 123,
    "user_properties": {},
    "metadata": {}
  },
  "session_properties": {
    "session_name": "<string>",
    "start_time": 123,
    "user_properties": {},
    "metadata": {}
  }
}
'
{
  "event_ids": [
    "7f22137a-6911-4ed3-bc36-110f1dde6b66",
    "7f22137a-6911-4ed3-bc36-110f1dde6b67"
  ],
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for POST /events/model/batch

model_events
object[]
required

Array of model events to create

single_session
boolean

If true, all events share the same session

is_single_session
boolean
deprecated

Legacy field name for single_session (backward compatibility)

session
object
deprecated

Alias for session_properties (backward compatibility)

session_properties
object

Session properties for batch event creation

Response

Model events created

Response for POST /events/batch

event_ids
string[]
required
success
boolean
required
session_id
string